Summary: A library of functions for accessing ICA hardware crypto on IBM zSeries
Name: libica
Version: 1.3.7
Release: 8%{?dist}
License: Common Public License
Group: System Environment/Libraries
URL: http://sourceforge.net/projects/opencryptoki/
Source: libica-%{version}.tar.bz2
Patch0: libica-1.3.4-urandom.patch
Patch1: libica-1.3.7-config.patch
Patch2: libica-1.3.7-driver.patch
Patch3: libica-1.3.7-sha_aes_enhancement.patch
Patch4: libica-1.3.7-icainfo.patch
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: openssl-devel glibc-kernheaders
BuildRequires: autoconf, automake, libtool
ExclusiveArch: s390 s390x

%description
A library of functions for accessing ICA hardware crypto on IBM zSeries

%package devel
Summary: Development tools for programs to access ICA hardware crypto on IBM zSeries
Group: Development/Libraries
Requires: zlib-devel
%ifarch s390
Requires: libica.so
%else
Requires: libica.so()(64bit)
%endif

%description devel
The libica-devel package contains the header files and static
libraries necessary for developing programs accessing ICA hardware crypto on
IBM zSeries

%prep
%setup -q

%patch0 -p1 -b .urandom
%patch1 -p1 -b .config
%patch2 -p1 -b .driver
%patch3 -p1 -b .sha_aes_enhancement
%patch4 -p1 -b .icainfo

%build
./bootstrap.sh
%configure
make

%install
if [[ $RPM_BUILD_ROOT  ]] ;
then
        export INSROOT=$RPM_BUILD_ROOT
fi
mkdir -p $RPM_BUILD_ROOT/%{_libdir} $RPM_BUILD_ROOT/%{_includedir}
%makeinstall
mv $RPM_BUILD_ROOT/%{_bindir}/libica.so $RPM_BUILD_ROOT/%{_libdir}/libica.so
cp -f include/ica_api.h $RPM_BUILD_ROOT%{_includedir}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc LICENSE
%{_bindir}/icainfo
%attr(0755,root,root) %{_libdir}/libica.so

%files devel
%defattr(-,root,root)
%{_includedir}/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Sep 14 2008 Phil Knirsch <pknirsch@redhat.com> - 1.3.7-8.el5
- Added the icainfo tool to libica (#439484)

* Tue Apr 01 2008 Phil Knirsch <pknirsch@redhat.com> - 1.3.7-7.el5
- Fixed build of libica with latest AES & SHA feature (#439390)

* Tue Jan 15 2008 Phil Knirsch <pknirsch@redhat.com> - 1.3.7-6.el5
- Added Software Support for CP Assist Instructions AES & SHA (#318971)

* Thu Nov 23 2006 Phil Knirsch <pknirsch@redhat.com> - 1.3.7-5.el5
- Fixed requires bug where devel packages would get wrong arch lib (#215908)

* Fri Oct 13 2006 Phil Knirsch <pknirsch@redhat.com> - 1.3.7-4
- Fixed bug where libica fails to initialize when no crypto hardware is
  available (#210504)
- Only build libica for s390(x), really only needed there.

* Fri Sep 08 2006 Phil Knirsch <pknirsch@redhat.com> - 1.3.7-3
- Build for other archs as well due to openCryptoki requirement (#184631)

* Fri Jul 14 2006 Tim Powers <timp@redhat.com> - 1.3.7-2
- rebuild

* Tue Jun 13 2006 Phil Knirsch <pknirsch@redhat.com> - 1.3.7-1
- Update to libica-1.3.7 final
- Fixed build on latest devel tree

* Tue Apr 04 2006 Phil Knirsch <pknirsch@redhat.com> - 1.3.6-rc3-1
- Initial package.
